Bug 431356 - Review Request: dvipng - Converts DVI files to PNG/GIF format
Review Request: dvipng - Converts DVI files to PNG/GIF format
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-03 09:22 EST by Jonathan Underwood
Modified: 2008-02-14 05:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-04 20:27:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2008-02-03 09:22:39 EST
Spec URL: http://jgu.fedorapeople.org/dvipng.spec
SRPM URL: http://jgu.fedorapeople.org/dvipng-1.9-1.fc9.src.rpm
Description: 
This program makes PNG and/or GIF graphics from DVI files as obtained
from TeX and its relatives.

It is intended to produce anti-aliased screen-resolution images as
fast as is possible. The target audience is people who need to generate
and regenerate many images again and again. 

Commentary:
Patrice Dumas recently made a call for packages to split out components of texlive for which texlive is not upstream. This is one such package.
Comment 1 Jonathan Underwood 2008-02-03 09:34:00 EST
Spec URL: http://jgu.fedorapeople.org/dvipng.spec
SRPM URL: http://jgu.fedorapeople.org/dvipng-1.9-2.fc9.src.rpm

* Sun Feb  3 2007 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 1.9-2
- Install dvigif info file
- Add Provides for dvigif
Comment 2 Patrice Dumas 2008-02-03 15:02:44 EST
The release should be at least 16+1 since 16 is the current dvipng 
from texlive release.

there is no dvigif info manual.

I don't think the Provides for dvigif is useful.

The kpathsea requires is also certainly unneeded since it should 
be automatically detected.

I suggest using 
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
to keep the man page timestamp.

To keep the changelogs timestamp, you can use
    iconv -f ISO-8859-1 -t UTF8 $i > $i.utf8 && touch -r $i $i.utf8 && mv $i.utf8 $i

I suggest removing the .gz from the file names in the install-info
scriptlets, install-info does it automatically.

I also suggest using globs for man pages and info files, like
%{_infodir}/dvipng.info*
%{_mandir}/man1/dvigif.1*
%{_mandir}/man1/dvipng.1*

The license of the doc seems to be the OFSFDL.
Comment 3 Jonathan Underwood 2008-02-03 16:54:12 EST
Spec URL: http://jgu.fedorapeople.org/dvipng.spec
SRPM URL: http://jgu.fedorapeople.org/dvipng-1.9-50.fc9.src.rpm

* Sun Feb  3 2007 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 1.9-50
- Remove kpathsea Requires
- Add OFSFDL license tag
- Make INSTALL use install -p
- Preserve time stamp of ChangeLog and ChangeLog.0 files
- Use globbing in filelist
- Remove .gz from the end of filenames in install-info commands
- Bump release to 50 to fix up upgrade path from current dvipng package from texlive
Comment 4 Patrice Dumas 2008-02-03 18:08:29 EST
* rpmlint is silent
* follow packaging guidelines
* free software
* works as intended
* match upstream:
9107065e4da9a18dfff2c1a76fbbf919  dvipng-1.9.tar.gz
* %files section right

APPROVED
Comment 5 Jonathan Underwood 2008-02-03 18:17:45 EST
Splendid, cheers Patrice. Can I put you as a co-maintainer?

Jindrich - same question to you - are you willing to be a co-maintainer?
Comment 6 Patrice Dumas 2008-02-03 18:30:20 EST
Yes, you can.
Comment 7 Jonathan Underwood 2008-02-03 20:42:20 EST
New Package CVS Request
=======================
Package Name: dvipng
Short Description: Converts DVI files to PNG/GIF format
Owners: jgu,pertusus,jnovy
Branches: 
InitialCC: 
Cvsextras Commits: Yes
Comment 8 Jonathan Underwood 2008-02-03 20:43:11 EST
Jindrich - have added you as a co-maintainer, but if you'd rather not be, it's
trivial to change it.
Comment 9 Kevin Fenzi 2008-02-04 14:41:26 EST
cvs done.
Comment 10 Jonathan Underwood 2008-02-04 20:27:05 EST
Thanks Kevin. Thanks Patrice.

Package imported and built.
Comment 11 Jindrich Novy 2008-02-14 00:18:10 EST
Jonathan, thanks for adding me as comaintainer. I returned from vacations
yesterday, so I couldn't take action sooner.
Comment 12 Jonathan Underwood 2008-02-14 05:02:55 EST
Hi Jindrich - no problem. Hope you had a good vacation.

Note You need to log in before you can comment on or make changes to this bug.